000010 @OPTIONS NOALPHAL
000011 CLASS-ID. Fib_COBOL.
000020 ENVIRONMENT DIVISION.
000030 CONFIGURATION SECTION.
000040 REPOSITORY.
000050     INTERFACE FIBINSTANCE AS "Fib.FibInstance"
000060     CLASS SYS-STRING AS "System.String"
000070     CLASS INT-ARRAY AS "System.Int32[]".
000080 OBJECT. IMPLEMENTS FIBINSTANCE.
000090 DATA DIVISION.
000100 WORKING-STORAGE SECTION.
000110 77 Lang OBJECT REFERENCE SYS-STRING PROPERTY.
000120 PROCEDURE DIVISION.
000130 METHOD-ID. NEW.
000140 PROCEDURE DIVISION.
000150     SET Lang TO "COBOL".
000160 END METHOD NEW.
000170 METHOD-ID. NextTerms.
000180 DATA DIVISION.
000190 WORKING-STORAGE SECTION.
000200 77 I PIC S9(9) COMP-5.
000210 77 Term PIC S9(9) COMP-5.
000220 LINKAGE SECTION.
000230 77 Cnt PIC S9(9) COMP-5.
000240 77 Term0 PIC S9(9) COMP-5.
000250 77 Term1 PIC S9(9) COMP-5.
000260 77 Result OBJECT REFERENCE INT-ARRAY.
000270 PROCEDURE DIVISION USING BY VALUE Cnt Term0 Term1 RETURNING Result.
000280     INVOKE INT-ARRAY "NEW" USING BY VALUE Cnt RETURNING Result.
000290     PERFORM VARYING I FROM 0 BY 1 UNTIL I >= Cnt
000300         COMPUTE Term = Term0 + Term1
000310         INVOKE Result "Set" USING BY VALUE I Term
000320         MOVE Term1 TO Term0
000330         INVOKE Result "Get" USING BY VALUE I RETURNING Term1
000340     END-PERFORM.
000350 END METHOD NextTerms.
000360 END OBJECT.
000370 END CLASS Fib_COBOL.
000380