       CLASS-ID. Fib_COBOL.
       ENVIRONMENT DIVISION.
       CONFIGURATION SECTION.
       REPOSITORY.
           INTERFACE FIBINTERFACE AS "Fib.FibInterface"
           CLASS SYS-STRING AS "System.String"
           CLASS INT-ARRAY AS "System.Int32[]".
       OBJECT. IMPLEMENTS FIBINTERFACE.
       DATA DIVISION.
       WORKING-STORAGE SECTION.
       77 Lang OBJECT REFERENCE SYS-STRING PROPERTY.
       PROCEDURE DIVISION.
       METHOD-ID. NEW.
       PROCEDURE DIVISION.
           SET Lang TO "COBOL".
       END METHOD NEW.
       METHOD-ID. NextTerms.
       DATA DIVISION.
       WORKING-STORAGE SECTION.
       77 I PIC S9(9) COMP-5.
       77 Term PIC S9(9) COMP-5.
       LINKAGE SECTION.
       77 Cnt PIC S9(9) COMP-5.
       77 Term0 PIC S9(9) COMP-5.
       77 Term1 PIC S9(9) COMP-5.
       77 Result OBJECT REFERENCE INT-ARRAY.
       PROCEDURE DIVISION USING BY VALUE Cnt Term0 Term1 RETURNING Result.
           INVOKE INT-ARRAY "NEW" USING BY VALUE Cnt RETURNING Result.
           PERFORM VARYING I FROM 0 BY 1 UNTIL I >= Cnt
               COMPUTE Term = Term0 + Term1
               INVOKE Result "Set" USING BY VALUE I Term
               MOVE Term1 TO Term0
               INVOKE Result "Get" USING BY VALUE I RETURNING Term1
           END-PERFORM.
       END METHOD NextTerms.
       END OBJECT.
       END CLASS Fib_COBOL.
