//
// Bi-directional bubble sort
// Brad Merrill, May 22, 2001
//
using SortControls;

internal class BiDirBubSort : SortPanel
  {
  public override string sortAlg { get { return "BiDirBubble"; } }
  public override string sortLang { get { return "C#"; } }

  public override void sort(int[] a)
    {
    int limit = a.Length;
    int i = -1;
    while (i < limit)
      {
      bool flipped = false;
      i++;
      limit--;
      for (int j = i; j < limit; j++)
	{
	if (stopRequested)
	  return;
	if (a[j] > a[j+1])
	  {
	  int x = a[j];
	  a[j] = a[j+1];
	  a[j+1] = x;
	  flipped = true;
	  pause(i, limit);
	  }
	}
      if (!flipped)
	return;
      for (int j = limit-1; j >= i; j--)
	{
	if (stopRequested)
	  return;
	if (a[j] > a[j+1])
	  {
	  int x = a[j];
	  a[j] = a[j+1];
	  a[j+1] = x;
	  flipped = true;
	  pause(i, limit);
	  }
	}
      if (!flipped)
	return;
      }
    }
  }

