//
// the insertion sort algorithm
// Brad Merrill, May 22, 2001
//
using SortControls;

internal class InsertionSort : SortPanel
  {
  public override string sortAlg { get { return "Insertion"; } }
  public override string sortLang { get { return "C#"; } }

  public override void sort(int[] a)
    {
    for (int i = 1; i < a.Length; i++)
      {
      int j = i;
      int k = a[i];
      while ((j > 0) && (a[j-1] > k))
	{
	if (stopRequested)
	  return;
	a[j] = a[j-1];
	j--;
	pause(i,j);
	}
      a[j] = k;
      pause(i,j);
      }
    }
  }
