//
// Odd-Even transposition sort
// Brad Merrill, May 22, 2001
//
using SortControls;

internal class OeTransSort : SortPanel
  {
  public override string sortAlg { get { return "OddEvenTrans"; } }
  public override string sortLang { get { return "C#"; } }

  public override void sort(int[] a)
    {
    pause(0, a.Length-1);
    for (int i = 0; i < a.Length/2; i++ )
      {
      if (stopRequested)
	return;
      for (int j = 0; j+1 < a.Length; j += 2) 
	{
	if (stopRequested)
	  return;	
	if (a[j] > a[j+1])
	  {
	  int x = a[j];
	  a[j] = a[j+1];
	  a[j+1] = x;
	  }
	pause(i, j);
	}
      for (int j = 1; j+1 < a.Length; j += 2) 
	{
	if (stopRequested)
	  return;	
	if (a[j] > a[j+1])
	  {
	  int x = a[j];
	  a[j] = a[j+1];
	  a[j+1] = x;
	  }
	pause(i, j);
	}
      }
    }
  }

