000010 CLASS-ID. Walk INHERITS Form.
000020 ENVIRONMENT DIVISION.
000030 CONFIGURATION SECTION.
000040 REPOSITORY.
000050     CLASS Form AS "System.Windows.Forms.Form"
000060     CLASS Application AS "System.Windows.Forms.Application"
000070     CLASS MainMenu AS "System.Windows.Forms.MainMenu"
000080     CLASS Container AS "System.ComponentModel.Container"
000090     CLASS Button AS "System.Windows.Forms.Button"
000100     CLASS Timer AS "System.Windows.Forms.Timer"
000110     CLASS EventHandler AS "System.EventHandler"
000120     CLASS EventArgs AS "System.EventArgs"
000130     CLASS Point AS "System.Drawing.Point"
000140     CLASS Drawing-Size AS "System.Drawing.Size"
000150     CLASS Sys-Object AS "System.Object"
000160     CLASS MessageBox AS "System.Windows.Forms.MessageBox"
000170     CLASS Control-Collection AS "System.Windows.Forms.Control+ControlCollection"
000180     PROPERTY Interval AS "Interval"
000190     PROPERTY Enabled AS "Enabled"
000200     PROPERTY Location AS "Location"
000210     PROPERTY Button-Size AS "Size"
000220     PROPERTY TabIndex AS "TabIndex"
000230     PROPERTY Button-Text AS "Text"
000240     PROPERTY App-Controls AS "Controls"
000250     PROPERTY App-Text AS "Text"
000260     PROPERTY AutoScaleBaseSize AS "AutoScaleBaseSize".
000270 STATIC.
000280 PROCEDURE DIVISION.
000290 METHOD-ID. MAIN.
000300 DATA DIVISION.
000310 WORKING-STORAGE SECTION.
000320 77 Obj OBJECT REFERENCE Walk.
000330 PROCEDURE DIVISION.
000340     INVOKE Walk "New" RETURNING Obj.
000350     INVOKE Application "Run" USING BY VALUE Obj.
000360 END METHOD MAIN.
000370 END STATIC.
000380 OBJECT.
000390 DATA DIVISION.
000400 WORKING-STORAGE SECTION.
000410 77 Components OBJECT REFERENCE Container.
000420 77 Button1 OBJECT REFERENCE Button.
000430 77 Timer1 OBJECT REFERENCE Timer.
000440 PROCEDURE DIVISION.
000450 METHOD-ID. NEW.
000460 PROCEDURE DIVISION.
000470     INVOKE SELF "InitializeComponent".
000480 END METHOD NEW.
000490 METHOD-ID. DISPOSE AS "Dispose" OVERRIDE.
000500 PROCEDURE DIVISION.
000510     INVOKE SUPER "Dispose".
000520     INVOKE Components "Dispose".
000530 END METHOD DISPOSE.
000540 METHOD-ID. INITIALIZECOMPONENT AS "InitializeComponent".
000550 DATA DIVISION.
000560 WORKING-STORAGE SECTION.
000570 77 Tick-Event OBJECT REFERENCE EventHandler.
000580 77 Click-Event OBJECT REFERENCE EventHandler.
000590 PROCEDURE DIVISION.
000600     INVOKE Container "New" RETURNING Components.
000610     INVOKE Timer "New" USING BY VALUE Components RETURNING Timer1.
000620     INVOKE Button "New" RETURNING Button1.
000630     MOVE 2000 TO Interval OF Timer1.
000640     MOVE B'1' TO Enabled OF Timer1.
000650     INVOKE EventHandler "New" USING BY VALUE SELF "Timer1_Tick"
000660         RETURNING Tick-Event.
000670     INVOKE Timer1 "add_Tick" USING BY VALUE Tick-Event.
000680     SET Location OF Button1 TO Point::"New" (96 64).
000690     SET Button-Size OF Button1 TO Drawing-Size::"New" (88 40).
000700     MOVE 0 TO TabIndex OF Button1.
000710     SET Button-Text OF Button1 TO "Stop It!".
000720     INVOKE EventHandler "New" USING BY VALUE SELF "Button1_Click"
000730         RETURNING Click-Event.
000740     INVOKE Button1 "add_Click" USING BY VALUE Click-Event.
000750     SET App-Text OF SELF TO "Walk".
000760     SET AutoScaleBaseSize OF SELF TO Drawing-Size::"New" (5 13).
000770     INVOKE App-Controls OF SELF "Add" USING BY VALUE Button1.
000780 END METHOD INITIALIZECOMPONENT.
000790 METHOD-ID. Button1_Click.
000800 DATA DIVISION.
000810 LINKAGE SECTION.
000820 77 Sender OBJECT REFERENCE Sys-Object.
000830 77 e OBJECT REFERENCE EventArgs.
000840 PROCEDURE DIVISION USING BY VALUE Sender e.
000850     MOVE B'0' TO Enabled OF Timer1.
000860 END METHOD Button1_Click.
000870 METHOD-ID. Timer1_Tick.
000880 DATA DIVISION.
000890 LINKAGE SECTION.
000900 77 Sender OBJECT REFERENCE Sys-Object.
000910 77 e OBJECT REFERENCE EventArgs.
000920 PROCEDURE DIVISION USING BY VALUE Sender e.
000930     INVOKE MessageBox "Show" USING BY VALUE
000940         "Walk the dog!" "Things to do".
000950 END METHOD Timer1_Tick.
000960 END OBJECT.
000970 END CLASS Walk.
