000010 CLASS-ID. Hello INHERITS Form.
000020 ENVIRONMENT DIVISION.
000030 CONFIGURATION SECTION.
000040 REPOSITORY.
000050          CLASS MessageBox AS "System.Windows.Forms.MessageBox"
000060          CLASS Application AS "System.Windows.Forms.Application"
000070          CLASS Sys-Object AS "System.Object"
000080          CLASS MainMenu AS "System.Windows.Forms.MainMenu"
000090          CLASS EventHandler AS "System.EventHandler"
000100          CLASS EventArgs AS "System.EventArgs"
000110          CLASS MenuItem AS "System.Windows.Forms.MenuItem"
000120          PROPERTY P-Text AS "Text"
000130
000140          CLASS Form AS "System.Windows.Forms.Form"
000150          PROPERTY MenuItems
000160          PROPERTY Menu AS "Menu".
000170 STATIC.
000180 PROCEDURE DIVISION.
000190 METHOD-ID. MAIN.
000200 DATA DIVISION.
000210 WORKING-STORAGE SECTION.
000220 77 Obj OBJECT REFERENCE Hello.
000230 PROCEDURE DIVISION.
000240          INVOKE Hello "New" RETURNING Obj.
000250          INVOKE Application "Run" USING BY VALUE Obj.
000260 END METHOD MAIN.
000270 END STATIC.
000280 OBJECT.
000290 DATA DIVISION.
000300 WORKING-STORAGE SECTION.
000310 PROCEDURE DIVISION.
000320 METHOD-ID. NEW.
000330 Procedure DIVISION.
000340          INVOKE SELF "InitializeComponent".
000350 END METHOD NEW.
000360 METHOD-ID. INITIALIZECOMPONENT AS "InitializeComponent".
000370 DATA DIVISION.
000380 WORKING-STORAGE SECTION.
000390 77 MainMenuObj OBJECT REFERENCE MainMenu.
000400 77 miFile OBJECT REFERENCE MenuItem.
000410 77 miOpen OBJECT REFERENCE MenuItem.
000420 77 miEdit OBJECT REFERENCE MenuItem.
000430 77 Click-Event OBJECT REFERENCE EventHandler.
000440 PROCEDURE DIVISION.
000450          SET P-Text OF SELF TO "TestGUI2".
000460          INVOKE MainMenu "NEW" RETURNING MainMenuObj.
000470          SET Menu OF SELF TO MainMenuObj.
000480
000490          INVOKE MenuItem "NEW" RETURNING miFile.
000500          SET P-Text OF miFile TO "File".
000510          INVOKE MenuItems OF MainMenuObj "Add" USING BY VALUE miFile.
000520           INVOKE MenuItem "NEW" RETURNING miOpen.
000530          SET P-Text OF miOpen TO "Open".
000540          INVOKE MenuItems OF miFile "Add" USING BY VALUE miOpen.
000550           INVOKE EventHandler "NEW" USING BY VALUE SELF "OPEN-CLICK"
000560              RETURNING Click-Event.
000570          INVOKE miOpen "add_Click" USING BY VALUE Click-Event.
000580			
000590			INVOKE MenuItem "NEW" RETURNING miEdit.
000600			SET P-Text OF miEdit to "Edit".
000610			INVOKE MenuItems OF MainMenuObj "Add" USING BY VALUE miEdit.
000620			
000630 END METHOD INITIALIZECOMPONENT.
000640 METHOD-ID. OPEN-CLICK.
000650 DATA DIVISION.
000660 LINKAGE SECTION.
000670 77 sender OBJECT REFERENCE Sys-Object.
000680 77 e OBJECT REFERENCE EventArgs.
000690 PROCEDURE DIVISION USING BY VALUE sender e.
000700     INVOKE MessageBox "Show" USING BY VALUE "You just selected Open.".
000710 END METHOD OPEN-CLICK.
000720 END OBJECT.
000730 END CLASS Hello.
