000100 IDENTIFICATION DIVISION.
000200  PROGRAM-ID. ALPHABETTABLE.
000300*
000400 DATA DIVISION.
000500  WORKING-STORAGE SECTION.
000600  01  WORD-VALUES.
000700      02     PIC X(10) VALUE "apple".
000800      02     PIC X(10) VALUE "black".
000900      02     PIC X(10) VALUE "cobol".
001000      02     PIC X(10) VALUE "dog".
001100      02     PIC X(10) VALUE "eye".
001200      02     PIC X(10) VALUE "fault".
001300      02     PIC X(10) VALUE "good".
001400      02     PIC X(10) VALUE "high".
001500      02     PIC X(10) VALUE "idea".
001600      02     PIC X(10) VALUE "junior".
001700      02     PIC X(10) VALUE "king".
001800      02     PIC X(10) VALUE "love".
001900      02     PIC X(10) VALUE "medium".
002000      02     PIC X(10) VALUE "new".
002100      02     PIC X(10) VALUE "open".
002200      02     PIC X(10) VALUE "pig".
002300      02     PIC X(10) VALUE "queen".
002400      02     PIC X(10) VALUE "review".
002500      02     PIC X(10) VALUE "smile".
002600      02     PIC X(10) VALUE "tomorrow".
002700      02     PIC X(10) VALUE "understand".
002800      02     PIC X(10) VALUE "version".
002900      02     PIC X(10) VALUE "wood".
003000      02     PIC X(10) VALUE "xylophone".
003100      02     PIC X(10) VALUE "yesterday".
003200      02     PIC X(10) VALUE "zoo".
003300      02     PIC X(10) VALUE "**error**".
003400 01  WORD-TABLE REDEFINES  WORD-VALUES.
003500     02  WORD-ITEM OCCURS 27 TIMES.
003600         03  FIRST-CHARACTER PIC X.
003700         03                  PIC X(9).
003800 01  WORD-INDEX          PIC 9(3).
003900 01  INPUT-CHARACTER     PIC X.
004000 01  REQUEST-MESSAGE     PIC X(42)
004100     VALUE  "ENTER ONE CHARACTER OF ALPHABETIC-LOWER.=>".
004200*
004300 PROCEDURE DIVISION.
004400  DATA-INPUT  SECTION.
004500**(1)DISPLAY THE ABOVE MESSAGE
004600       DISPLAY REQUEST-MESSAGE WITH NO ADVANCING.
004700**(2)ACCEPT THE INPUT CHARACTER
004800       ACCEPT  INPUT-CHARACTER.
004900*
005000  SEARCH-WORD  SECTION.
005100**(3)WORDS ARE SEARCHED CORRESPONDING TO THE INPUT CHARACTER
005200       PERFORM TEST BEFORE
005300               VARYING WORD-INDEX FROM 1 BY 1
005400               UNTIL WORD-INDEX > 26
005500          IF INPUT-CHARACTER = FIRST-CHARACTER (WORD-INDEX)
005600            THEN EXIT PERFORM
005700           END-IF
005800        END-PERFORM.
005900*
006000  WORD-OUTPUT  SECTION.
006100**(4) THE RESULTING WORD MATCH IS DISPLAYED
006200       DISPLAY WORD-ITEM (WORD-INDEX).
006300*
006400       EXIT PROGRAM.
006500   END PROGRAM ALPHABETTABLE.
