000010 IDENTIFICATION DIVISION.
000020  PROGRAM-ID. DAYSBETWEEN.
000030*
000040 ENVIRONMENT DIVISION.
000050  CONFIGURATION SECTION.
000060  SPECIAL-NAMES.
000070     ARGUMENT-NUMBER IS ARG-NO
000080     ARGUMENT-VALUE  IS ARG-VAL.
000090*
000100 DATA DIVISION.
000110 WORKING-STORAGE SECTION.
000120   01  NO-ARG       PIC 9(4)  BINARY.
000130   01  DIFF-DAYS    PIC S9(5) DISPLAY.
000140*
000150   01  TOTAL-DAYS1  PIC S9(8) BINARY.
000160   01  ARG1.
000170     02  YYMMDD1.
000180         03  YY     PIC 9999.
000190         03  MM     PIC 99.
000200         03  DD     PIC 99.
000210     02  DATE-INF1  REDEFINES YYMMDD1  PIC X(8).
000220*
000230   01  TOTAL-DAYS2  PIC S9(8) BINARY.
000240   01  AARG2.
000250     02  YYMMDD2.
000260         03  YY     PIC 9999.
000270         03  MM     PIC 99.
000280         03  DD     PIC 99.
000290     02  DATE-INF2  REDEFINES YYMMDD2  PIC X(8).
000300*
000310 PROCEDURE DIVISION.
000320     ACCEPT NO-ARG FROM ARG-NO.
000330     IF NO-ARG NOT = 2 THEN
000340       DISPLAY "NUMBER OF ARGUMENT IS INVALID"
000350       GO TO TERM-PROC
000360     END-IF
000370*
000380     ACCEPT DATE-INF1 FROM ARG-VAL.
000390     IF YY OF YYMMDD1 < 1900 THEN
000400       DISPLAY "PLEASE INPUT A DATE FROM THE 1900 ON"
000410       GO TO TERM-PROC
000420     END-IF.
000430     ACCEPT DATE-INF2 FROM ARG-VAL.
000440     IF YY OF YYMMDD2 < 1900 THEN
000450       DISPLAY "PLEASE INPUT A DATE FROM THE 1900 ON"
000460       GO TO TERM-PROC
000470     END-IF.
000480     CALL "SUMCALC"  USING YYMMDD1 TOTAL-DAYS1.
000490     CALL "SUMCALC"  USING YYMMDD2 TOTAL-DAYS2.
000500*
000510     COMPUTE DIFF-DAYS = TOTAL-DAYS2 - TOTAL-DAYS1.
000520     DISPLAY "DIFFERENCE OF DAYS IS " DIFF-DAYS.
000530*
000540 TERM-PROC.
000550     EXIT PROGRAM.
000560 END PROGRAM  DAYSBETWEEN.
