<html>
<head>
    <script runat="server" language="COBOL">
ENVIRONMENT DIVISION.
CONFIGURATION SECTION.
REPOSITORY.
    PROPERTY Select-Value AS "Value"
    PROPERTY Image-Src AS "Src"
    PROPERTY Span-Value AS "InnerHtml"
    CLASS String-Builder AS "System.Text.StringBuilder"
    CLASS Sys-String AS "System.String"
    CLASS Sys-Object AS "System.Object"
    CLASS EventArgs AS "System.EventArgs".
OBJECT.
PROCEDURE DIVISION.
METHOD-ID. FruitList-Click.
DATA DIVISION.
WORKING-STORAGE SECTION.
77 Image-File-Builder OBJECT REFERENCE String-Builder.
77 Image-File-Str OBJECT REFERENCE Sys-String.
77 VAL OBJECT REFERENCE Sys-String.
LINKAGE SECTION.
77 Event-Source OBJECT REFERENCE Sys-Object.
77 Event OBJECT REFERENCE EventArgs.
PROCEDURE DIVISION USING BY VALUE Event-Source Event.
     SET Span-Value OF FruitName TO Select-Value OF FruitList.
     INVOKE String-Builder "NEW"
         USING BY VALUE "images/"
         RETURNING Image-File-Builder.
     SET VAL TO Select-Value OF FruitList
     INVOKE Image-File-Builder "Append"
         USING BY VALUE VAL
         RETURNING Image-File-Builder.
     INVOKE Image-File-Builder "Append"
         USING BY VALUE ".jpg"
         RETURNING Image-File-Builder.
     INVOKE Image-File-Builder "ToString"
         RETURNING Image-File-Str.
     SET Image-Src OF FruitImage TO Image-File-Str.
END METHOD FruitList-Click.
END OBJECT.
    </script>
</head>
<body>

<form runat="server">
    <font face="Verdana" size="6">
    <b>Please Select A Fruit : </b>

    <select id="FruitList" runat="server">
        <option value="Orange">Orange</option>
        <option value="Apple">Apple</option>
        <option value="Mango">Mango</option>
        <option value="Pear">Pear</option>
        <option value="Banana">Banana</option>
    </select>

    <input type="submit" value="submit" runat="server"
      OnServerClick="FruitList-Click">    

    <p>
    <table>
      <tr>
        <td>
          <img id="FruitImage" src="images\blank.gif" runat="server" />
        </td>
        <td>
          <font face="Verdana" size=8>
            <span id="FruitName" runat="server"/>
          </font>
        </td>
      </tr>
    </table>
    </font>
</form>
</body>
</html>
